/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.ZonaSede;

/**
 *
 * @author sistem02user
 */
public interface ZonaSedeDAO {
    
    public ArrayList<ZonaSede> listarSedesZonas() throws Exception;
    public ArrayList<ZonaSede> listarSedesZonas(String codigoZona) throws Exception;
    public int registrarAsignacion(String codigoZona,String codigoSede) throws Exception ;
    public int actualizarZonaSede(String codigoSede,String codigoZona) throws Exception ;
    public int eliminarZonaSede(String codigoSede) throws Exception ;
    ArrayList<ZonaSede> listarSedesConZona(String codigoZona) throws Exception;
    
    
}
